//---------------------------------------------------------------------------
#include "XercesClasses.h"
#include "Messages.h"
#include <xercesc/util/XMLString.hpp>
#include <xercesc/dom/DOMError.hpp>
#include <xercesc/framework/LocalFileInputSource.hpp>
#include <xercesc/framework/Wrapper4InputSource.hpp>
#include <xercesc/util/XMLUniDefs.hpp>

//---------------------------------------------------------------------------

/*////////////////////////////////////////////////////////////////////////////
  handleError()

  Edit history:
  -------------
  April 28, 2004 - Submitted in beta version (LEM)
////////////////////////////////////////////////////////////////////////////*/
bool clXercesErrorHandler::handleError(const xercesc::DOMError &oDomError) {
  //if it's just a warning - ignore
  if (xercesc::DOMError::DOM_SEVERITY_WARNING == oDomError.getSeverity())
    return true;

  modelErr stcErr;
  stcErr.iErrorCode = BAD_XML_FILE;
  strcpy(stcErr.cFunction, "Xerces parser");
  strcpy(stcErr.cMoreInfo, xercesc::XMLString::transcode(oDomError.getMessage()));
  throw(stcErr);
}
//----------------------------------------------------------------------------

/*////////////////////////////////////////////////////////////////////////////
  resolveEntity()

  Edit history:
  -------------
  April 28, 2004 - Submitted in beta version (LEM)
////////////////////////////////////////////////////////////////////////////*/
//DOMInputSource* clModelEntityResolver::resolveEntity (const XMLCh* const publicId,
 //    const XMLCh* const systemId, const XMLCh* const baseURI) {

  //Declare a new input source and point it towards the paramfile.dtd
//  LocalFileInputSource *p_oParserInput =
//    new LocalFileInputSource(XMLString::transcode("c:\\sortie\\code\\new model\\xml\\paramfile.dtd"));


  //We have to return a DOMInputSource object, so we have to wrap the input
  //source object we just created
//  Wrapper4InputSource* p_oReturn = new Wrapper4InputSource(p_oParserInput);
//  return new Wrapper4InputSource(p_oParserInput);

//  char* test = XMLString::transcode(p_oReturn->getSystemId());

//  return p_oReturn;

//}

